ChartDirector Ver 5.0 (PHP Edition)

phpchartdir.StartOfHourFilter

Usage

StartOfHourFilter([ labelStep [, initialMargin ]])

Description

Creates a data filter that matches date/times that represent the start of a new hour in a date/time series.
This method is typically used in Axis.setMultiFormat and Axis.setMultiFormat2 to select specific dates/times for formatting as axis labels.
In a date/time series, an element is considered that start of a new hour if it is of a different hour than the previous element. It does not need to be at exactly the starting instance of the hour.
For the first element of the date/time series, because there is no previous element to compare with, it will be considered as the start of a new hour if it is "near" the exact starting instance of the current hour, in which "near" is defined using the initialMargin argument, expressed as a ratio (0 to 1) of the hour duration.

Arguments

Argument | Default | Description
--- | --- | ---
labelStep | 1 | For dates/times that matches the start of hour criteria, picks only 1 out of every "labelStep" number of elements. For example, if this argument is 3, only 1 of every 3 elements that at at the start of hour will be selected.
initialMargin | 0.05 | If the first label is "near" the exact starting instance of the current hour to within the ratio specified in the initial margin, it will be considered to have matched the start of hour criteria.

Return Value

An integer filter id representing the filter.

© 2009 Advanced Software Engineering Limited. All rights reserved.